import { r as registerInstance, h, H as Host } from './index-4d3658f6.js';
import { B as BEM } from './bem-8c7d2eb0.js';

const NavigationMain = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.ariaLabelMain = '';
    }
    render() {
        const mainEl = BEM.block('nav').element('main');
        return (h(Host, { class: Object.assign({}, mainEl.class()) }, h("nav", { role: "navigation", "aria-label": this.ariaLabelMain }, h("slot", { name: "main-head" })), h("slot", { name: "main-body" })));
    }
};

const NavigationMainBody = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const mainBodyEl = BEM.block('nav').element('main').element('body');
        return (h(Host, { class: Object.assign({}, mainBodyEl.class()) }, h("slot", null)));
    }
};

const NavigationMainHead = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const mainHeadEl = BEM.block('nav').element('main').element('head');
        return (h(Host, { class: Object.assign({}, mainHeadEl.class()) }, h("slot", null)));
    }
};

const NavigationMenu = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.linkHref = undefined;
        this.linkName = undefined;
        this.target = '_self';
        this.elements = [];
        this.tracking = {};
    }
    render() {
        const navMenuEl = BEM.block('nav').element('menu');
        return (h(Host, { class: Object.assign({}, navMenuEl.class()) }, this.linkHref && this.linkName && (h("div", { class: Object.assign({}, navMenuEl.element('link').class()) }, h("a", Object.assign({ href: this.linkHref, target: this.target }, this.tracking), this.linkName, " ", this.linkName ? '➞' : ''))), this.elements && (h("div", { style: { overflow: 'hidden' } }, h("div", { class: Object.assign({ 'columns is-multiline': true }, navMenuEl.element('wrapper').class()) }, this.elements.some(subLevel => subLevel.color === 'white') && (h("div", { class: {
                'bal-nav__menu__white-list__wrapper column is-full is-6-desktop is-two-thirds-widescreen': true,
            } }, h("div", { class: Object.assign({}, navMenuEl.element('white-list').class()) }, this.elements
            .filter(subLevel => subLevel.color === 'white')
            .map(block => {
            var _a;
            return (block && (h("bal-navigation-menu-list", { headline: block.label, href: block.link, target: block.target, tracking: block.trackingData }, h("div", { slot: "links" }, (_a = block.subLevels) === null || _a === void 0 ? void 0 : _a.map(item => (h("bal-navigation-menu-list-item", { href: item.link, target: item.target, tracking: item.trackingData }, item.label)))))));
        })))), this.elements.some(subLevel => subLevel.color === 'grey' ||
            subLevel.color === 'yellow' ||
            subLevel.color === 'red' ||
            subLevel.color === 'purple' ||
            subLevel.color === 'green') && (h("div", { class: Object.assign({ 'column is-full is-6-desktop is-one-third-widescreen': true }, navMenuEl.element('grey-list').class()) }, this.elements
            .filter(subLevel => subLevel.color === 'grey' ||
            subLevel.color === 'yellow' ||
            subLevel.color === 'red' ||
            subLevel.color === 'purple' ||
            subLevel.color === 'green')
            .map(block => {
            var _a;
            return (h("bal-navigation-menu-list", { headline: block.label, href: block.link, color: block.color, target: block.target, tracking: block.trackingData }, h("div", { slot: "links" }, (_a = block.subLevels) === null || _a === void 0 ? void 0 : _a.map(item => (h("bal-navigation-menu-list-item", { href: item.link, target: item.target, tracking: item.trackingData }, item.label))))));
        }))))))));
    }
};

const NavigationMeta = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.ariaLabelMeta = '';
    }
    render() {
        const metaEl = BEM.block('nav').element('meta');
        return (h(Host, { class: Object.assign({}, metaEl.class()) }, h("nav", { class: "container", role: "navigation", "aria-label": this.ariaLabelMeta }, h("slot", null))));
    }
};

const NavigationMetaEnd = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const metaEndEl = BEM.block('nav').element('meta').element('end');
        return (h(Host, { class: Object.assign({}, metaEndEl.class()) }, h("slot", null)));
    }
};

const NavigationMetaStart = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const metaStartEl = BEM.block('nav').element('meta').element('start');
        return (h(Host, { class: Object.assign({}, metaStartEl.class()) }, h("slot", null)));
    }
};

export { NavigationMain as bal_navigation_main, NavigationMainBody as bal_navigation_main_body, NavigationMainHead as bal_navigation_main_head, NavigationMenu as bal_navigation_menu, NavigationMeta as bal_navigation_meta, NavigationMetaEnd as bal_navigation_meta_end, NavigationMetaStart as bal_navigation_meta_start };
